[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.Assign

Copy the contents of other lists.

## Declaration

Source position: classesh.inc line 340

`public procedure TList.Assign(`
`ListA: TList;`
`AOperator: TListAssignOp = laCopy;`
`ListB: TList = Nil`
`);`

## Description

Assign can be used to merge or assign lists It is an extended version of the usual TPersistent.Assign mechanism. The arguments ListA and ListB are used as sources of pointers to add or remove elements from the current list, depending on the operation AOperation. The available operations are documented in the TListAssignOp type.

## See also

TList.Clear |  | Clears the pointer list.